package _02_继承._06_继承练习.demo1;

public class Dog extends Mammal{
    private String color;
//    String name;

    public Dog(String name, int age, String color) {
        super(name, age);
//        this.name =name;
        this.color = color;
    }

    public void bark(){
        System.out.println("狗叫");
    }

    @Override
    public void eat() {
        // 访问本类成员
        // 当前dog 类中没有name 属性
        // this.name 从当前类当中去找是否有name 属性如果有name 属性直接当前name
        // 如果没有上父类当中去找name 属性
        System.out.println("狗的名字:"+ this.name);
        System.out.println("狗的颜色:"+ this.color);
        // 访问父类的成员和方法
        System.out.println("访问父类名字:"+ super.name);
        // 访问父类run 方法
        super.run();
        // 访问间接父类当中eat()
        super.eat();

        System.out.println("狗吃狗粮");
    }
}
